Skip to main content
Back to API List Use this API to add an agent group with the given stream ID.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
BotIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '
     {
      "name": "US West Coast team",
      "description": "US west coast team handles west side.",
     }'

Body Parameters

ParameterDescriptionType
nameName of the agent group, up to 50 characters.string, required
descriptionBrief description of the agent group, up to 50 characters.string, required

Sample Response

{
    "name": "US West Coast team",
    "description": "US west coast team handles west side.",
}